View Issue Details

IDProjectCategoryView StatusLast Update
0003387GNUnetpeerinfo servicepublic2018-06-07 00:25
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.11.0pre66Fixed in Version0.11.0pre66 
Summary0003387: gnunet-peerinfo fails to print any addresses on DNS timeout
DescriptionIf gnunet-peerinfo is run without '-n' and does not get a DNS response in time to print 'nice' addresses, it simply prints none at all.

Instead, if DNS doesn't reverse lookup fast enough, we should at least print the numeric addresses.
TagsNo tags attached.

Relationships

related to 0003388 closedlurchi gnunet-resolver DNS lookup is slow 

Activities

Christian Grothoff

2014-06-10 00:14

manager   ~0008422

The situation should be better as of SVN 33620, but needs to be tested.

Christian Grothoff

2014-06-11 12:01

manager   ~0008425

Works now nicely.

Issue History

Date Modified Username Field Change
2014-04-24 17:56 Christian Grothoff New Issue
2014-04-24 17:59 Christian Grothoff Relationship added related to 0003388
2014-04-24 17:59 Christian Grothoff Status new => confirmed
2014-06-08 13:22 Christian Grothoff Assigned To => Christian Grothoff
2014-06-08 13:22 Christian Grothoff Status confirmed => assigned
2014-06-08 13:22 Christian Grothoff Target Version => 0.11.0pre66
2014-06-10 00:14 Christian Grothoff Note Added: 0008422
2014-06-11 12:01 Christian Grothoff Note Added: 0008425
2014-06-11 12:01 Christian Grothoff Status assigned => resolved
2014-06-11 12:01 Christian Grothoff Fixed in Version => 0.11.0pre66
2014-06-11 12:01 Christian Grothoff Resolution open => fixed
2018-06-07 00:25 Christian Grothoff Status resolved => closed